<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.15"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>My Project: CPPNVS.h Source File</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">My Project
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.15 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
</div><!-- top -->
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="headertitle">
<div class="title">CPPNVS.h</div>  </div>
</div><!--header-->
<div class="contents">
<div class="fragment"><div class="line"><a name="l00001"></a><span class="lineno">    1</span>&#160;<span class="comment">/*</span></div><div class="line"><a name="l00002"></a><span class="lineno">    2</span>&#160;<span class="comment"> * NVS.h</span></div><div class="line"><a name="l00003"></a><span class="lineno">    3</span>&#160;<span class="comment"> *</span></div><div class="line"><a name="l00004"></a><span class="lineno">    4</span>&#160;<span class="comment"> *  Created on: Mar 27, 2017</span></div><div class="line"><a name="l00005"></a><span class="lineno">    5</span>&#160;<span class="comment"> *      Author: kolban</span></div><div class="line"><a name="l00006"></a><span class="lineno">    6</span>&#160;<span class="comment"> */</span></div><div class="line"><a name="l00007"></a><span class="lineno">    7</span>&#160;</div><div class="line"><a name="l00008"></a><span class="lineno">    8</span>&#160;<span class="preprocessor">#ifndef COMPONENTS_CPP_UTILS_CPPNVS_H_</span></div><div class="line"><a name="l00009"></a><span class="lineno">    9</span>&#160;<span class="preprocessor">#define COMPONENTS_CPP_UTILS_CPPNVS_H_</span></div><div class="line"><a name="l00010"></a><span class="lineno">   10</span>&#160;<span class="preprocessor">#include &lt;nvs.h&gt;</span></div><div class="line"><a name="l00011"></a><span class="lineno">   11</span>&#160;<span class="preprocessor">#include &lt;string&gt;</span></div><div class="line"><a name="l00012"></a><span class="lineno">   12</span>&#160;</div><div class="line"><a name="l00016"></a><span class="lineno"><a class="line" href="classNVS.html">   16</a></span>&#160;<span class="keyword">class </span><a class="code" href="classNVS.html">NVS</a> {</div><div class="line"><a name="l00017"></a><span class="lineno">   17</span>&#160;<span class="keyword">public</span>:</div><div class="line"><a name="l00018"></a><span class="lineno">   18</span>&#160;    <a class="code" href="classNVS.html#ab1692081a875f4b0013277ee121e6522">NVS</a>(std::string name, nvs_open_mode openMode = NVS_READWRITE);</div><div class="line"><a name="l00019"></a><span class="lineno">   19</span>&#160;    <span class="keyword">virtual</span> <a class="code" href="classNVS.html#a23bef809c0a495d65f01c3e58e260bdd">~NVS</a>();</div><div class="line"><a name="l00020"></a><span class="lineno">   20</span>&#160;    <span class="keywordtype">void</span> <a class="code" href="classNVS.html#aadcc511b9113a56700ba56b070135e41">commit</a>();</div><div class="line"><a name="l00021"></a><span class="lineno">   21</span>&#160;</div><div class="line"><a name="l00022"></a><span class="lineno">   22</span>&#160;    <span class="keywordtype">void</span> <a class="code" href="classNVS.html#aa0a90a5ea01bccb557c3a18d701ef859">erase</a>();</div><div class="line"><a name="l00023"></a><span class="lineno">   23</span>&#160;    <span class="keywordtype">void</span> <a class="code" href="classNVS.html#aa0a90a5ea01bccb557c3a18d701ef859">erase</a>(std::string key);</div><div class="line"><a name="l00024"></a><span class="lineno">   24</span>&#160;    <span class="keywordtype">int</span> <a class="code" href="classNVS.html#a36b01ca8871d435f7a9c885d81df8e3c">get</a>(std::string key, std::string* result, <span class="keywordtype">bool</span> isBlob = <span class="keyword">false</span>);</div><div class="line"><a name="l00025"></a><span class="lineno">   25</span>&#160;    <span class="keywordtype">int</span> <a class="code" href="classNVS.html#a36b01ca8871d435f7a9c885d81df8e3c">get</a>(std::string key, uint8_t* result, <span class="keywordtype">size_t</span>&amp; length);</div><div class="line"><a name="l00026"></a><span class="lineno">   26</span>&#160;    <span class="keywordtype">int</span> <a class="code" href="classNVS.html#a36b01ca8871d435f7a9c885d81df8e3c">get</a>(std::string key, uint32_t&amp; value);</div><div class="line"><a name="l00027"></a><span class="lineno">   27</span>&#160;    <span class="keywordtype">void</span> <a class="code" href="classNVS.html#aada586fb7a5ae6781fc7d2e2babf9894">set</a>(std::string key, std::string data, <span class="keywordtype">bool</span> isBlob = <span class="keyword">false</span>);</div><div class="line"><a name="l00028"></a><span class="lineno">   28</span>&#160;    <span class="keywordtype">void</span> <a class="code" href="classNVS.html#aada586fb7a5ae6781fc7d2e2babf9894">set</a>(std::string key, uint32_t value);</div><div class="line"><a name="l00029"></a><span class="lineno">   29</span>&#160;    <span class="keywordtype">void</span> <a class="code" href="classNVS.html#aada586fb7a5ae6781fc7d2e2babf9894">set</a>(std::string key, uint8_t* data, <span class="keywordtype">size_t</span> length);</div><div class="line"><a name="l00030"></a><span class="lineno">   30</span>&#160;</div><div class="line"><a name="l00031"></a><span class="lineno">   31</span>&#160;<span class="keyword">private</span>:</div><div class="line"><a name="l00032"></a><span class="lineno">   32</span>&#160;    std::string m_name;</div><div class="line"><a name="l00033"></a><span class="lineno">   33</span>&#160;    nvs_handle m_handle;</div><div class="line"><a name="l00034"></a><span class="lineno">   34</span>&#160;</div><div class="line"><a name="l00035"></a><span class="lineno">   35</span>&#160;};</div><div class="line"><a name="l00036"></a><span class="lineno">   36</span>&#160;</div><div class="line"><a name="l00037"></a><span class="lineno">   37</span>&#160;<span class="preprocessor">#endif </span><span class="comment">/* COMPONENTS_CPP_UTILS_CPPNVS_H_ */</span><span class="preprocessor"></span></div><div class="ttc" id="classNVS_html_aa0a90a5ea01bccb557c3a18d701ef859"><div class="ttname"><a href="classNVS.html#aa0a90a5ea01bccb557c3a18d701ef859">NVS::erase</a></div><div class="ttdeci">void erase()</div><div class="ttdoc">Erase ALL the keys in the namespace.</div><div class="ttdef"><b>Definition:</b> CPPNVS.cpp:52</div></div>
<div class="ttc" id="classNVS_html_aadcc511b9113a56700ba56b070135e41"><div class="ttname"><a href="classNVS.html#aadcc511b9113a56700ba56b070135e41">NVS::commit</a></div><div class="ttdeci">void commit()</div><div class="ttdoc">Commit any work performed in the namespace.</div><div class="ttdef"><b>Definition:</b> CPPNVS.cpp:44</div></div>
<div class="ttc" id="classNVS_html_ab1692081a875f4b0013277ee121e6522"><div class="ttname"><a href="classNVS.html#ab1692081a875f4b0013277ee121e6522">NVS::NVS</a></div><div class="ttdeci">NVS(std::string name, nvs_open_mode openMode=NVS_READWRITE)</div><div class="ttdoc">Constructor.</div><div class="ttdef"><b>Definition:</b> CPPNVS.cpp:23</div></div>
<div class="ttc" id="classNVS_html_a23bef809c0a495d65f01c3e58e260bdd"><div class="ttname"><a href="classNVS.html#a23bef809c0a495d65f01c3e58e260bdd">NVS::~NVS</a></div><div class="ttdeci">virtual ~NVS()</div><div class="ttdoc">Desctructor.</div><div class="ttdef"><b>Definition:</b> CPPNVS.cpp:36</div></div>
<div class="ttc" id="classNVS_html_aada586fb7a5ae6781fc7d2e2babf9894"><div class="ttname"><a href="classNVS.html#aada586fb7a5ae6781fc7d2e2babf9894">NVS::set</a></div><div class="ttdeci">void set(std::string key, std::string data, bool isBlob=false)</div><div class="ttdoc">Set the string/blob value by key.</div><div class="ttdef"><b>Definition:</b> CPPNVS.cpp:123</div></div>
<div class="ttc" id="classNVS_html_a36b01ca8871d435f7a9c885d81df8e3c"><div class="ttname"><a href="classNVS.html#a36b01ca8871d435f7a9c885d81df8e3c">NVS::get</a></div><div class="ttdeci">int get(std::string key, std::string *result, bool isBlob=false)</div><div class="ttdoc">Retrieve a string/blob value by key.</div><div class="ttdef"><b>Definition:</b> CPPNVS.cpp:73</div></div>
<div class="ttc" id="classNVS_html"><div class="ttname"><a href="classNVS.html">NVS</a></div><div class="ttdoc">Provide Non Volatile Storage access.</div><div class="ttdef"><b>Definition:</b> CPPNVS.h:16</div></div>
</div><!-- fragment --></div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.15
</small></address>
</body>
</html>
